org.icefaces.ace.component.chart

## Class Axis

- java.lang.Object
- - org.icefaces.ace.component.chart.Axis

- All Implemented Interfaces:
    java.io.Serializable

      public class Axis
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Axis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAutoscale()` Get if this axis will draw its scale so that it shares grid lines with other autoscaled axes.
    `java.lang.Boolean` | `getDrawMajorGridlines()` Get whether or not this axis draws grid lines for each tick.
    `java.lang.String` | `getFormatString()` Get the coded String that determines the output format of axis Date values.
    `java.lang.String` | `getLabel()` Get the String used to label this axis when rendered.
    `java.lang.Object` | `getMax()` Get the maximum value of this axis.
    `java.lang.Object` | `getMin()` Get the minimum value of this axis.
    `java.lang.Double` | `getPad()` Get the multiplier that determines how far to extend the range above and below the data bounds.
    `java.lang.Double` | `getPadMax()` Get the multiplier that determines how far to extend the range above the data bounds.
    `java.lang.Double` | `getPadMin()` Get the multiplier that determines how far to extend the range below the data bounds.
    `java.lang.Boolean` | `getShow()` Get the value of the axis rendering toggle.
    `java.lang.Integer` | `getTickAngle()` Get the angle of the ticks in degrees.
    `java.lang.String` | `getTickFontSize()` Get the font size for the ticks.
    `java.lang.String` | `getTickInterval()` Get the number of units between ticks.
    `java.lang.String` | `getTickPrefix()` Get the prefix to the beginning of each tick.
    `java.lang.String[]` | `getTicks()` Get the list of String used as explicit ticks on this axis.
    `AxisType` | `getType()` Get the type of this Axis If null, defaults on the client to Linear.
    `java.lang.Boolean` | `isForceTickAt0()` Get whether or not to force 0 to be shown on this axis.
    `java.lang.Boolean` | `isForceTickAt100()` Get whether or not to force 100 to be shown on this axis.
    `java.lang.Boolean` | `isSortMergedLabels()` Is this axis sorting the ticks it is given from series definitions into an ordered axis?
    `void` | `setAutoscale(java.lang.Boolean autoscale)` Set if this axis will draw its scale so that it shares grid lines with other autoscaled axes.
    `void` | `setDrawMajorGridlines(java.lang.Boolean drawMajorGridlines)` Set whether or not this axis draw grid lines for each tick.
    `void` | `setForceTickAt0(java.lang.Boolean forceTickAt0)` Set whether or not to force 0 to be shown on this axis.
    `void` | `setForceTickAt100(java.lang.Boolean forceTickAt100)` Set whether or not to force 100 to be shown on this axis.
    `void` | `setFormatString(java.lang.String formatString)` Set the coded String that determines the output format of axis Date values.
    `void` | `setLabel(java.lang.String label)` Set the String used to label this axis when rendered.
    `void` | `setMax(java.lang.Object max)` Set the maximum value of this axis.
    `void` | `setMin(java.lang.Object min)` Set the minimum value of this axis.
    `void` | `setPad(java.lang.Double pad)` Set the multiplier that determines how far to extend the range above and below the data bounds.
    `void` | `setPadMax(java.lang.Double padMax)` Set the multiplier that determines how far to extend the range above the data bounds.
    `void` | `setPadMin(java.lang.Double padMin)` Set the multiplier that determines how far to extend the range below the data bounds.
    `void` | `setShow(java.lang.Boolean show)` Set the value of the axis rendering toggle.
    `void` | `setSortMergedLabels(java.lang.Boolean sortMergedLabels)` Set this axis to sort together the lists of values it interprets as its ticks.
    `void` | `setTickAngle(java.lang.Integer tickAngle)` Set the angle of the ticks in degrees
    `void` | `setTickFontSize(java.lang.String tickFontSize)` Set the font size for the ticks.
    `void` | `setTickInterval(java.lang.String tickInterval)` Set the number of units between ticks.
    `void` | `setTickPrefix(java.lang.String tickPrefix)` Set the prefix to the beginning of each tick.
    `void` | `setTicks(java.lang.String[] ticks)` Set a list of String values to be used as explicit ticks on this axis.
    `void` | `setType(AxisType type)` Sets the type of this Axis, altering default tick behaviour and point alignment.
    `java.lang.String` | `toString()` Used by the ChartRenderer to produce a JSON representation of the configuration of this axis.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Axis

          public Axis()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Used by the ChartRenderer to produce a JSON representation of the configuration of this axis.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the JSON configuration object

    - #### isForceTickAt0

          public java.lang.Boolean isForceTickAt0()

      Get whether or not to force 0 to be shown on this axis.
      Returns:
        whether or not to force 0 on this axis

    - #### setForceTickAt0

          public void setForceTickAt0(java.lang.Boolean forceTickAt0)

      Set whether or not to force 0 to be shown on this axis.
      Parameters:
        `forceTickAt0` - whether or not to force 0 on this axis

    - #### isForceTickAt100

          public java.lang.Boolean isForceTickAt100()

      Get whether or not to force 100 to be shown on this axis.
      Returns:
        whether or not to force 100 on this axis

    - #### setForceTickAt100

          public void setForceTickAt100(java.lang.Boolean forceTickAt100)

      Set whether or not to force 100 to be shown on this axis.
      Parameters:
        `forceTickAt100` - whether or not to force 100 on this axis

    - #### getShow

          public java.lang.Boolean getShow()

      Get the value of the axis rendering toggle.
      Returns:
        whether or not to render this axis

    - #### setShow

          public void setShow(java.lang.Boolean show)

      Set the value of the axis rendering toggle.
      Parameters:
        `show` - whether or not to render this axis

    - #### getMin

          public java.lang.Object getMin()

      Get the minimum value of this axis. Either a Date or Numeral. If null, interpreted on the client from the x/y values of the series or from the explicit ticks given.
      Returns:
        minimum axis value

    - #### setMin

          public void setMin(java.lang.Object min)

      Set the minimum value of this axis. Either a Date or Numeral. If null, interpreted on the client from the x/y values of the series or from the explicit ticks given.
      Parameters:
        `min` - either a Date or Number

    - #### getMax

          public java.lang.Object getMax()

      Get the maximum value of this axis. Either a Date or Numeral. If null, interpreted on the client from the x/y values of the series or from the explicit ticks given.
      Returns:
        maximum axis value

    - #### setMax

          public void setMax(java.lang.Object max)

      Set the maximum value of this axis. Either a Date or Numeral. If null, interpreted on the client from the x/y values of the series or from the explicit ticks given.
      Parameters:
        `max` - either a Date or Number

    - #### getType

          public AxisType getType()

      Get the type of this Axis If null, defaults on the client to Linear.
      Returns:
        AxisType

    - #### setType

          public void setType(AxisType type)

      Sets the type of this Axis, altering default tick behaviour and point alignment. Potential modes are: AxisType.LINEAR - The default. Renders tick every even integer. AxisType.CATEGORY - Oft used for Bar Charts. Renders ticks between grid lines. Accepts string tick values. AxisType.DATE - Renders dates in a variety of formats, including date ranges. AxisType.LOGARITHMIC - Similar to linear, however tick placement is on a logarithmic scale.
      Parameters:
        `type` -

    - #### getTicks

          public java.lang.String[] getTicks()

      Get the list of String used as explicit ticks on this axis.
      Returns:
        array of tick values

    - #### setTicks

          public void setTicks(java.lang.String[] ticks)

      Set a list of String values to be used as explicit ticks on this axis.
      Parameters:
        `ticks` -

    - #### isSortMergedLabels

          public java.lang.Boolean isSortMergedLabels()

      Is this axis sorting the ticks it is given from series definitions into an ordered axis?
      Returns:
        merged ticks truth value

    - #### setSortMergedLabels

          public void setSortMergedLabels(java.lang.Boolean sortMergedLabels)

      Set this axis to sort together the lists of values it interprets as its ticks.
      Parameters:
        `sortMergedLabels` -

    - #### getPad

          public java.lang.Double getPad()

      Get the multiplier that determines how far to extend the range above and below the data bounds. A value of 0 interpreted as no padding (pad=1.0).
      Returns:
        the double value that is multiplied by the data range to determine padding

    - #### setPad

          public void setPad(java.lang.Double pad)

      Set the multiplier that determines how far to extend the range above and below the data bounds. A value of 0 interpreted as no padding and is interpreted on the client as 1.0.
      Parameters:
        `pad` - the double value that is multiplied by the data range to determine padding

    - #### getPadMax

          public java.lang.Double getPadMax()

      Get the multiplier that determines how far to extend the range above the data bounds. A value of 0 interpreted as no padding and is interpreted on the client as 1.0.
      Returns:
        the double value that is multiplied by the data range to determine padding

    - #### setPadMax

          public void setPadMax(java.lang.Double padMax)

      Set the multiplier that determines how far to extend the range above the data bounds. A value of 0 interpreted as no padding and is interpreted on the client as 1.0.
      Parameters:
        `padMax` - the double value that is multiplied by the data range to determine padding

    - #### getPadMin

          public java.lang.Double getPadMin()

      Get the multiplier that determines how far to extend the range below the data bounds. A value of 0 interpreted as no padding and is interpreted on the client as 1.0.
      Returns:
        the double value that is multiplied by the data range to determine padding

    - #### setPadMin

          public void setPadMin(java.lang.Double padMin)

      Set the multiplier that determines how far to extend the range below the data bounds. A value of 0 interpreted as no padding and is interpreted on the client as 1.0.
      Parameters:
        `padMin` - the double value that is multiplied by the data range to determine padding

    - #### getLabel

          public java.lang.String getLabel()

      Get the String used to label this axis when rendered.
      Returns:
        the name string

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the String used to label this axis when rendered.
      Parameters:
        `label` - the name of this axis

    - #### getTickAngle

          public java.lang.Integer getTickAngle()

      Get the angle of the ticks in degrees.
      Returns:
        degrees of rotation (+ or -) of the ticks from 0 degrees

    - #### setTickAngle

          public void setTickAngle(java.lang.Integer tickAngle)

      Set the angle of the ticks in degrees
      Parameters:
        `tickAngle` - degrees of rotation (+ or -) of the ticks from 0 degrees

    - #### getTickFontSize

          public java.lang.String getTickFontSize()

      Get the font size for the ticks.
      Returns:
        css-style font size definition

    - #### setTickFontSize

          public void setTickFontSize(java.lang.String tickFontSize)

      Set the font size for the ticks.
      Parameters:
        `tickFontSize` - css-style font size definition

    - #### getAutoscale

          public java.lang.Boolean getAutoscale()

      Get if this axis will draw its scale so that it shares grid lines with other autoscaled axes.
      Returns:
        whether or not this axis is autoscaling

    - #### setAutoscale

          public void setAutoscale(java.lang.Boolean autoscale)

      Set if this axis will draw its scale so that it shares grid lines with other autoscaled axes.
      Parameters:
        `autoscale` - whether or not this axis is autoscaling

    - #### getFormatString

          public java.lang.String getFormatString()

      Get the coded String that determines the output format of axis Date values.
      Returns:
        coded format String

    - #### setFormatString

          public void setFormatString(java.lang.String formatString)

      Set the coded String that determines the output format of axis Date values.
      Parameters:
        `formatString` - coded string

    - #### getTickInterval

          public java.lang.String getTickInterval()

      Get the number of units between ticks.
      Returns:
        a numeral string or a representation of date units '1 (month / week / day)' or 'x (months / weeks / days)'

    - #### setTickInterval

          public void setTickInterval(java.lang.String tickInterval)

      Set the number of units between ticks.
      Parameters:
        `tickInterval` - a numeral string or a representation of date units '1 (month / week / day)' or 'x (months / weeks / days)'

    - #### getTickPrefix

          public java.lang.String getTickPrefix()

      Get the prefix to the beginning of each tick.
      Returns:
        prefix text

    - #### setTickPrefix

          public void setTickPrefix(java.lang.String tickPrefix)

      Set the prefix to the beginning of each tick.
      Parameters:
        `tickPrefix` - prefix text

    - #### getDrawMajorGridlines

          public java.lang.Boolean getDrawMajorGridlines()

      Get whether or not this axis draws grid lines for each tick.
      Returns:
        major gridline visibility

    - #### setDrawMajorGridlines

          public void setDrawMajorGridlines(java.lang.Boolean drawMajorGridlines)

      Set whether or not this axis draw grid lines for each tick.
      Parameters:
        `drawMajorGridlines` - major gridline visible

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.